Subject: Re: Compiling Sendmail With Cygwin?
From: Ross Smith <[email-masked]>
To: [email-masked]
Date: Sat, 30 Oct 1999 06:11:09 +1300

Earnie Boyd wrote:
> 
> Cygwin is a wonderful environment to use for porting the typical UNIX code.
> Why not just give it a simple try?  You may be surprised at how easy it can be.
>  As for sendmail itself I've never built it from source so I can't confirm or
> deny how easy this could be.
> 
> The headache is undoubtedly going to be the never ending "text mode" vs "binary
> mode" processing.

Another major headache I've found with running Unix configure & make
files under Cygwin is file names, specifically "foo" vs "foo.exe" for
executables. A lot of scripts are broken by this one. GCC itself has a
hack to work around this, but utilities like cp, mv, rm, etc don't.

--
Ross Smith <[email-masked]> The Internet Group, Auckland, New Zealand
========================================================================
  "There are many technical details that make Linux attractive to the
  sort of people to whom technical details are attractive."   -- Suck

--
Want to unsubscribe from this list?
Send a message to [email-masked]